<com.google.android.gms.ads.nativead.NativeAdView xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_gravity="center"
        android:baselineAligned="false"
        android:orientation="vertical"
        android:padding="10dp">


        <androidx.cardview.widget.CardView
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            app:cardCornerRadius="10dp"
            app:cardElevation="0dp">

            <com.google.android.gms.ads.nativead.MediaView
                android:id="@+id/ad_media"
                android:layout_width="match_parent"
                android:layout_height="191dp"
                android:layout_gravity="center_vertical" />
        </androidx.cardview.widget.CardView>


        <TextView
            android:id="@+id/ad_headline"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="6dp"
            android:ellipsize="end"
            android:maxLines="2"
            android:textColor="@color/black"
            android:textSize="19sp"
            android:textStyle="bold"
            tools:text="All You Can Wish For" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal">

            <de.hdodenhof.circleimageview.CircleImageView
                android:id="@+id/ad_app_icon"
                android:layout_width="17dp"
                android:layout_height="17dp"
                android:layout_gravity="center_vertical"
                tools:ignore="ContentDescription" />

            <TextView
                android:id="@+id/ad_body"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:layout_marginHorizontal="2dp"
                android:layout_weight="1"
                android:ellipsize="end"
                android:includeFontPadding="false"
                android:textColor="@color/black"
                android:textSize="12sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_gravity="center_vertical"
                android:padding="2dp"
                android:text="Ad"
                android:textColor="#868686"
                android:textSize="12sp"
                tools:ignore="HardcodedText" />


            <androidx.appcompat.widget.AppCompatButton
                android:id="@+id/ad_call_to_action"
                android:layout_width="150dp"
                android:layout_height="29dp"
                android:layout_gravity="center_vertical"
                android:background="@drawable/bg_storke_9d9d9d_7_5"
                android:gravity="center"
                android:textAllCaps="false"
                android:textColor="@color/black"
                android:textSize="14sp"
                tools:text="Install" />

        </LinearLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="1px"
            android:layout_marginTop="11dp"
            android:background="#E5E6EB" />

    </LinearLayout>

</com.google.android.gms.ads.nativead.NativeAdView>